Subject: Re: [bug#32428] [PATCH] gnu: mit-scheme: Use minimal texlive-union.

From: Pierre Neidhardt <[email-masked]>
Date: Tue, 21 Aug 2018 16:05:59 +0200

Hello Ludo!

Well, we might have to duplicate the trick a dozen of times... :(
Until we get a better understanding of what's going on.

My limited understanding of this is that some TeXlive packages don't build the
fonts they need at install time, only at runtime.  I don't quite understand why
that is.

It's not clear to me if it's possible to build these fonts in advance.

That said, in the present state it's only required to generate the documentation
when building the package.  While this escapes the build directory, I assume
this

Hopefully we will come with a clearer answer to this issue in the future.

I'll merge considering the workaround is much better than having a full texlive
as a dependency.

-- 
Pierre Neidhardt
https://ambrevar.xyz/